Lessons
A: Create lesson
AuthorizationBearer <token>
In: header
attachment_idsarray<string>
content_urlstring
Default
"https://example.com/lesson-video.mp4"Format
uricourse_idstring
Default
"{{course_id}}"descriptionstring
Default
"Understanding the basics of linear regression"durationinteger
Default
15instructor_idsarray<string>
lesson_typestring
Default
"video"order_indexinteger
Default
1section_idstring
Default
"123e4567-e89b-12d3-a456-426614174001"Format
uuidstatusstring
Default
"draft"titlestring
Default
"Introduction to Linear Regression"Response Body
curl -X POST "https://edushade.com/api/v1/admin/learning/lessons" \
-H "Content-Type: application/json" \
-d '{
"attachment_ids": [
"string"
],
"content_url": "https://example.com/lesson-video.mp4",
"course_id": "{{course_id}}",
"description": "Understanding the basics of linear regression",
"duration": 15,
"instructor_ids": [
"string"
],
"lesson_type": "video",
"order_index": 1,
"section_id": "123e4567-e89b-12d3-a456-426614174001",
"status": "draft",
"title": "Introduction to Linear Regression"
}'{}Empty
Empty
Empty